Package com.independentsoft.graph

# Class JsonUtil

java.lang.Object
com.independentsoft.graph.JsonUtil

public class JsonUtil extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `encodeJson​(String input)`
  `static String`
  `toCreateJson​(String name, boolean value)`
  `static String`
  `toCreateJson​(String name, double value)`
  `static String`
  `toCreateJson​(String name, float value)`
  `static String`
  `toCreateJson​(String name, int value)`
  `static String`
  `toCreateJson​(String name, long value)`
  `static String`
  `toCreateJson​(String name, ICreatable value)`
  `static String`
  `toCreateJson​(String name, Object value)`
  `static String`
  `toCreateJson​(String name, String value)`
  `static String`
  `toCreateJson​(String name, String itemName, Object value)`
  `static String`
  `toCreateJson​(String name, Date value)`
  `static String`
  `toCreateJson​(String name, Date value, boolean isUtcTime)`
  `static String`
  `toCreateJson​(String name, List<String> value)`
  `static String`
  `toJson​(String name, boolean value)`
  `static String`
  `toJson​(String name, double value)`
  `static String`
  `toJson​(String name, float value)`
  `static String`
  `toJson​(String name, int value)`
  `static String`
  `toJson​(String name, long value)`
  `static String`
  `toJson​(String name, Object value)`
  `static String`
  `toJson​(String name, String value)`
  `static String`
  `toJson​(String name, Date value, boolean isUtcTime)`
  `static String`
  `toJson​(String name, List<String> value)`
  `static String`
  `toUpdateJson​(String name, boolean value)`
  `static String`
  `toUpdateJson​(String name, double value)`
  `static String`
  `toUpdateJson​(String name, float value)`
  `static String`
  `toUpdateJson​(String name, int value)`
  `static String`
  `toUpdateJson​(String name, long value)`
  `static String`
  `toUpdateJson​(String name, IUpdatable value)`
  `static String`
  `toUpdateJson​(String name, Object value)`
  `static String`
  `toUpdateJson​(String name, String value)`
  `static String`
  `toUpdateJson​(String name, String itemName, Object value)`
  `static String`
  `toUpdateJson​(String name, Date value)`
  `static String`
  `toUpdateJson​(String name, Date value, boolean isUtcTime)`
  `static String`
  `toUpdateJson​(String name, List<String> value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, IUpdatable value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, ICreatable value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, String value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, String value)

  - ### toJson

    public static final String toJson​(String name, String value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, boolean value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, boolean value)

  - ### toJson

    public static final String toJson​(String name, boolean value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, Date value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, Date value, boolean isUtcTime)

  - ### toCreateJson

    public static final String toCreateJson​(String name, Date value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, Date value, boolean isUtcTime)

  - ### toJson

    public static final String toJson​(String name, Date value, boolean isUtcTime)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, int value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, int value)

  - ### toJson

    public static final String toJson​(String name, int value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, long value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, long value)

  - ### toJson

    public static final String toJson​(String name, long value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, float value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, float value)

  - ### toJson

    public static final String toJson​(String name, float value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, double value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, double value)

  - ### toJson

    public static final String toJson​(String name, double value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, List<String> value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, List<String> value)

  - ### toJson

    public static final String toJson​(String name, List<String> value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, Object value)

  - ### toUpdateJson

    public static final String toUpdateJson​(String name, String itemName, Object value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, Object value)

  - ### toCreateJson

    public static final String toCreateJson​(String name, String itemName, Object value)

  - ### toJson

    public static final String toJson​(String name, Object value)

  - ### encodeJson

    public static final String encodeJson​(String input)